<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetFlightRules StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetFlightRules extends AbstractStructBase
{
    /**
     * The OTA_AirRulesRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_AirRulesRQ
     */
    public $OTA_AirRulesRQ;
    /**
     * Constructor method for GetFlightRules
     * @uses DgGetFlightRules::setOTA_AirRulesRQ()
     * @param \dgsoft\StructType\DgOTA_AirRulesRQ $oTA_AirRulesRQ
     */
    public function __construct(\dgsoft\StructType\DgOTA_AirRulesRQ $oTA_AirRulesRQ = null)
    {
        $this
            ->setOTA_AirRulesRQ($oTA_AirRulesRQ);
    }
    /**
     * Get OTA_AirRulesRQ value
     * @return \dgsoft\StructType\DgOTA_AirRulesRQ|null
     */
    public function getOTA_AirRulesRQ()
    {
        return $this->OTA_AirRulesRQ;
    }
    /**
     * Set OTA_AirRulesRQ value
     * @param \dgsoft\StructType\DgOTA_AirRulesRQ $oTA_AirRulesRQ
     * @return \dgsoft\StructType\DgGetFlightRules
     */
    public function setOTA_AirRulesRQ(\dgsoft\StructType\DgOTA_AirRulesRQ $oTA_AirRulesRQ = null)
    {
        $this->OTA_AirRulesRQ = $oTA_AirRulesRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetFlightRules
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
